Show / Hide Table of Contents

# Class AudioOutStream

##### Inheritance

System.Object
System.MarshalByRefObject
System.IO.Stream
AudioStream
AudioOutStream
BufferedWriteStream
OpusDecodeStream
OpusEncodeStream
OutputStream
RTPReadStream
RTPWriteStream
SodiumDecryptStream
SodiumEncryptStream

##### Implements

System.IDisposable

##### Inherited Members

AudioStream.CanRead
AudioStream.CanSeek
AudioStream.WriteHeader(UInt16, UInt32, Boolean)
AudioStream.Write(Byte[], Int32, Int32)
AudioStream.Flush()
AudioStream.Clear()
AudioStream.ClearAsync(CancellationToken)
AudioStream.Length
AudioStream.Position
System.IO.Stream.Null
System.IO.Stream.CopyToAsync(System.IO.Stream)
System.IO.Stream.CopyToAsync(System.IO.Stream, System.Int32)
System.IO.Stream.CopyToAsync(System.IO.Stream, System.Int32, System.Threading.CancellationToken)
System.IO.Stream.CopyTo(System.IO.Stream)
System.IO.Stream.CopyTo(System.IO.Stream, System.Int32)
System.IO.Stream.Close()
System.IO.Stream.Dispose()
System.IO.Stream.Dispose(System.Boolean)
System.IO.Stream.FlushAsync()
System.IO.Stream.FlushAsync(System.Threading.CancellationToken)
System.IO.Stream.CreateWaitHandle()
System.IO.Stream.BeginRead(System.Byte[], System.Int32, System.Int32, System.AsyncCallback, System.Object)
System.IO.Stream.EndRead(System.IAsyncResult)
System.IO.Stream.ReadAsync(System.Byte[], System.Int32, System.Int32)
System.IO.Stream.ReadAsync(System.Byte[], System.Int32, System.Int32, System.Threading.CancellationToken)
System.IO.Stream.BeginWrite(System.Byte[], System.Int32, System.Int32, System.AsyncCallback, System.Object)
System.IO.Stream.EndWrite(System.IAsyncResult)
System.IO.Stream.WriteAsync(System.Byte[], System.Int32, System.Int32)
System.IO.Stream.WriteAsync(System.Byte[], System.Int32, System.Int32, System.Threading.CancellationToken)
System.IO.Stream.ReadByte()
System.IO.Stream.WriteByte(System.Byte)
System.IO.Stream.Synchronized(System.IO.Stream)
System.IO.Stream.ObjectInvariant()
System.IO.Stream.CanTimeout
System.IO.Stream.ReadTimeout
System.IO.Stream.WriteTimeout
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.CreateObjRef(System.Type)
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Audio

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public abstract class AudioOutStream : AudioStream, IDisposable

### Properties

| Improve this Doc View Source

#### CanWrite

##### Declaration

    public override bool CanWrite { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

AudioStream.CanWrite

### Methods

| Improve this Doc View Source

#### Read(Byte[], Int32, Int32)

##### Declaration

    public override int Read(byte[] buffer, int offset, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | buffer |
System.Int32 | offset |
System.Int32 | count |

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

AudioStream.Read(Byte[], Int32, Int32)

##### Exceptions

Type | Condition
--- | ---
System.NotSupportedException | Reading this stream is not supported.

| Improve this Doc View Source

#### Seek(Int64, SeekOrigin)

##### Declaration

    public override long Seek(long offset, SeekOrigin origin)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | offset |
System.IO.SeekOrigin | origin |

##### Returns

Type | Description
--- | ---
System.Int64 |

##### Overrides

AudioStream.Seek(Int64, SeekOrigin)

##### Exceptions

Type | Condition
--- | ---
System.NotSupportedException | Seeking this stream is not supported..

| Improve this Doc View Source

#### SetLength(Int64)

##### Declaration

    public override void SetLength(long value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | value |

##### Overrides

AudioStream.SetLength(Int64)

##### Exceptions

Type | Condition
--- | ---
System.NotSupportedException | Setting the length to this stream is not supported.

### Implements

System.IDisposable